> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Ingest Events



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json post /api/v1/agent-analytics/events
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/agent-analytics/events:
    post:
      tags:
        - agent_analytics
      summary: Ingest Events
      operationId: ingest_events_api_v1_agent_analytics_events_post
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentAnalyticsAccepted'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    AgentAnalyticsAccepted:
      properties:
        accepted:
          type: integer
          title: Accepted
      additionalProperties: false
      type: object
      required:
        - accepted
      title: AgentAnalyticsAccepted
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail

````